%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}
%define giolibname	%mklibname gio 2.0 %{major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Configuration backend for Glib
Name:		dconf
Version:	0.12.0
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://live.gnome.org/dconf
BuildRequires:	pkgconfig(glib-2.0) >= 2.27.2
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	vala-devel >= 0.15.1
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	vala >= 0.15.1
Requires:	dbus

%description
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package editor
Summary:	An editor for the Dconf configuration system
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}

%description editor
This is a graphical editor for the Dconf configuration system.

%package -n %{libname}
Group:			System/Libraries
Summary:		Configuration backend library for Glib
Requires(post):		%{giolibname} >= 2.23.4-2mdv
Requires(postun):	%{giolibname} >= 2.23.4-2mdv

%description -n %{libname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{develname}
Group:		Development/C
Summary:	Configuration backend library for Glib - development files
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

%post -n %{libname}
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules

%postun -n %{libname}
if [ "$1" = "0" ]; then
 %{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
fi

%files
%doc NEWS
%{_bindir}/dconf
%{_libexecdir}/dconf-service
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_sysconfdir}/bash_completion.d/dconf-bash-completion.sh
%{_datadir}/glib-2.0/schemas/ca.desrt.dconf-editor.gschema.xml

%files editor
%{_bindir}/dconf-editor
%{_datadir}/applications/dconf-editor.desktop
%{_datadir}/dconf-editor
%{_iconsdir}/hicolor/*/apps/dconf-editor.png

%files -n %{libname}
%{_libdir}/libdconf.so.%{major}*
%{_libdir}/libdconf-dbus-1.so.%{major}*
%{_libdir}/gio/modules/libdconfsettings.*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/dconf
%{_libdir}/libdconf.so
%{_libdir}/libdconf-dbus-1.so
%{_libdir}/pkgconfig/dconf.pc
%{_libdir}/pkgconfig/dconf-dbus-1.pc
%{_includedir}/dconf
%{_includedir}/dconf-dbus-1
%{_datadir}/vala/vapi/dconf*


%changelog

* Mon Mar 26 2012 ovitters <ovitters> 0.12.0-1.mga2
+ Revision: 226705
- new version 0.12.0

* Mon Mar 19 2012 ovitters <ovitters> 0.11.7-1.mga2
+ Revision: 224447
- new version 0.11.7

* Fri Mar 09 2012 fwang <fwang> 0.11.6-1.mga2
+ Revision: 222007
- new version 0.11.6

* Tue Feb 14 2012 ovitters <ovitters> 0.11.5-2.mga2
+ Revision: 208873
- clean spec

* Mon Feb 06 2012 wally <wally> 0.11.5-1.mga2
+ Revision: 205513
- new version 0.11.5

* Sat Jan 28 2012 fwang <fwang> 0.11.3-1.mga2
+ Revision: 202413
- update file list
- new version 0.11.3

* Tue Nov 22 2011 fwang <fwang> 0.11.2-1.mga2
+ Revision: 170732
- new version 0.11.2

* Fri Oct 28 2011 wally <wally> 0.11.0-1.mga2
+ Revision: 159203
- new version 0.11.0

  + eandry <eandry>
    - fix URL

* Mon Sep 26 2011 ovitters <ovitters> 0.10.0-1.mga2
+ Revision: 149022
- new version 0.10.0

* Mon Sep 19 2011 fwang <fwang> 0.9.1-1.mga2
+ Revision: 145533
- new version 0.9.1
- new version 0.9.0

  + wally <wally>
    - new version 0.8.0
    - drop unrecognized configure option
    - clean .spec a bit

* Thu Jun 09 2011 dmorgan <dmorgan> 0.7.5-1.mga2
+ Revision: 102132
- New version 0.7.5

* Thu Apr 28 2011 saispo <saispo> 0.7.3-1.mga1
+ Revision: 93307
- Readd patch file
- Remove patch file
- Add dconf-editor-crash.patch file
- New release 0.7.3
  Add patch for fixing crash with empty schemas

  + pterjan <pterjan>
    - Fix build with gtk2

* Sun Apr 10 2011 ahmad <ahmad> 0.5.1-1.mga1
+ Revision: 82728
- use %%{__isa_bits} with the gio-querymodules post/postun scriptlets (Fedora)
- imported package dconf


* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 579737
- new version
- bump deps
- rename introspection data files

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 0.5-2mdv2011.0
+ Revision: 574668
- add introspection support
- fix postun script
- move gio module to the library package
- add postinstallation scripts for gio module

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2011.0
+ Revision: 565646
- new version
- remove static libs
- remove gobject-introspection support
- add vala support
- new version
- add editor package
- import dconf


